## ucar.netcdf
Class AttrVal

    java.lang.Object
      ucar.netcdf.AttrVal

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  NumericAttrVal, StringAttrVal

abstract class AttrVal
extends Object
implements Serializable, Cloneable

Constructor Summary
`(package private)` `AttrVal()`

Method Summary
`(package private) abstract Object` `get(int index)`
`(package private) abstract Class` `getComponentType()`
`(package private) abstract int` `getLength()`
`(package private) abstract Number` `getNumericValue()`
`(package private) abstract Number` `getNumericValue(int index)`
`(package private) abstract Object` `getValue()`
`(package private) abstract void` `toCdl(StringBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrVal

    AttrVal()

Method Detail

### getValue

    abstract Object getValue()

### get

    abstract Object get(int index)

### getNumericValue

    abstract Number getNumericValue(int index)

### getNumericValue

    abstract Number getNumericValue()

### getComponentType

    abstract Class getComponentType()

### getLength

    abstract int getLength()

### toCdl

    abstract void toCdl(StringBuffer buf)